Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157215 - magma packaging review
Summary: magma packaging review
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: magma
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 14:54 UTC by Joe Orton
Modified: 2010-01-04 19:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-04 19:08:01 UTC


Attachments (Terms of Use)

Description Joe Orton 2005-05-09 14:54:44 UTC
magma-1.0-0.pre21.7.i386

1. the actual library files /lib/libmagma*.so.* should be executable

2. libmagma.so should be linked against libraries on which it depends - missing
-lpthread -ldl:

$ ldd -r libmagma.so.1.0.0.pre21
ldd: warning: you do not have execution permission for `./libmagma.so.1.0.0.pre21'
undefined symbol: pthread_rwlock_rdlock (./libmagma.so.1.0.0.pre21)
undefined symbol: pthread_rwlock_unlock (./libmagma.so.1.0.0.pre21)
undefined symbol: dlclose       (./libmagma.so.1.0.0.pre21)
undefined symbol: dlopen        (./libmagma.so.1.0.0.pre21)
undefined symbol: pthread_rwlock_wrlock (./libmagma.so.1.0.0.pre21)
undefined symbol: dlsym (./libmagma.so.1.0.0.pre21)
        linux-gate.so.1 =>  (0x00982000)
        libc.so.6 => /lib/libc.so.6 (0x003e2000)
        /lib/ld-linux.so.2 (0x003c0000)

3. likewise, libmagmamsg looks like it should be linked against -lmagma:

$ ldd -r libmagmamsg.so.1.0.0.pre21
ldd: warning: you do not have execution permission for
`./libmagmamsg.so.1.0.0.pre21'
undefined symbol: clist_get_flags       (./libmagmamsg.so.1.0.0.pre21)
undefined symbol: memb_resolve_list     (./libmagmamsg.so.1.0.0.pre21)
undefined symbol: clist_set_purpose     (./libmagmamsg.so.1.0.0.pre21)
...

4. the "libmagma*.so" symlinks - if these are not needed by some package to
dlopen("libmagma.so"), then they do not need to be in /lib, and do not need to
be in the main package; they should be in %{_libdir} and owned by the -devel package

typical %files patterns to use are, for the main package::

%{_libdir}/*.so.*   [or /lib/*.so.* in this case]

and for the devel package::

%{_libdir}/*.a
%{_libdir}/*.so
[if using libtool, also *.la here]

5. the section 3 man pages:

/usr/share/man/man3/clu_connect.3.gz
/usr/share/man/man3/clu_disconnect.3.gz
/usr/share/man/man3/clu_get_event.3.gz

should be in the -devel package

Comment 1 Chris Feist 2005-05-09 15:51:50 UTC
Thanks, I'll get these modifications in.

Comment 2 Rahul Sundaram 2005-09-05 03:16:33 UTC
Are these modifications in now?

Comment 3 Chris Feist 2005-09-06 16:21:13 UTC
It should be fixed in RHEL4U3.

Comment 4 Chris Feist 2005-11-15 15:57:19 UTC
These fixes should be built in magma-1.0.3-2 and later.


Note You need to log in before you can comment on or make changes to this bug.